program Test_Sector;
{
Description:
  sector may not be filled correctly. Some area near the two lines are not
  draw.

Reported by: Franck PISSOTTE [100117,200]

Fix:
}

uses
  Graph;

var
  GrafDriver, GrafMode,GrafResult:Integer;
  x2,y2:Integer;
begin
  GrafDriver := Detect;
  InitGraph(GrafDriver, GrafMode, 'c:\bp\bgi\');
  GrafResult:=GraphResult;
  if GrafResult = grOk then begin

    SetColor(LightGreen);
    SetFillStyle(SolidFill,White);
    x2:=GetMaxX div 2-1;
    y2:=GetMaxY div 2-1;
    Sector(x2, y2, 2,181, x2, y2);

    Readln;
    CloseGraph;
  end {if}
  else begin
    Writeln(GraphErrorMsg(GrafResult));
  end; {else}
end.
