program Test_SizeFont;
{
Description:
  Calculation of Size font is very strange with stroked fonts.
  Test program write graduation at every 1/10 of size 10 font but lower
  size don't seem to be aligned.

Reported by: Franck PISSOTTE [100117,200]
             noticed by lot of people

Fix: use BGI Font Toolkit from Ryle Design
}

uses
  Graph;

var
  GrafDriver, GrafMode,GrafResult:Integer;
  x,y,Font,Size,Step:Integer;
  s:String;
begin
  GrafDriver := Detect;
  InitGraph(GrafDriver, GrafMode, 'c:\bp\bgi\');
  GrafResult:=GraphResult;
  if GrafResult = grOk then begin

    for font:=0 to 10 do begin
      SetTextStyle(Font, HorizDir, 10);
      SetColor(Red);
      Step:=TextWidth('Size=') div 10; { calculate size at size 10 }
      for x:=1 to GetMaxX div Step do begin
        Line(x*Step,0,x*Step,GetMaxY); { draw graduation at 1/10 }
      end; {for}
      SetColor(White);
      Y := 10;
      for Size := 1 to 10 do begin
        SetTextStyle(Font, HorizDir, Size);
        str(Size,s);
        OutTextXY(0, Y, 'Size=' + s);  { write
        Inc(Y,TextHeight('H')+1);
      end; {for}
      readln;
      ClearDevice;
    end; {for}

    CloseGraph;
  end {if}
  else begin
    Writeln(GraphErrorMsg(GrafResult));
  end; {else}
end.
