program Test_DriverName;
{
Description:
  drivername don't return anything for user installed drivers.

Reported by: Franck PISSOTTE [100117,200]

Fix: Use the Graph clone unit.
}

uses
  Graph;

var
  GrafDriver, GrafMode,GrafResult:Integer;
begin
  GrafDriver:=InstallUserDriver('VESA16' {'BGI256'},nil);
  GrafMode:=0;
  InitGraph(GrafDriver, GrafMode, 'c:\bp\bgi\');
  GrafResult:=GraphResult;
  if GrafResult = grOk then begin

    OutTextXY(100,100,'Driver Name='+GetDriverName);

    Readln;
    CloseGraph;
  end {if}
  else begin
    Writeln(GraphErrorMsg(GrafResult));
  end; {else}
end.
