program Test_FloodFill;
{
Description:
  floodfill dont have enough memory (even with 64K) to fill some patterns.

Reported by: Franck PISSOTTE [100117,200]
             noticed by lot of others people

fix: use BGI256. this driver has several algorithms for flood fill.
}

uses
  Graph;

var
  GrafDriver, GrafMode,GrafResult:Integer;
begin
  GrafDriver := Detect;
  SetGraphBufSize(65520);

  InitGraph(GrafDriver, GrafMode, 'c:\bp\bgi\');
  GrafResult:=GraphResult;
  if GrafResult = grOk then begin

    SetFillStyle(WideDotFill,Yellow);
    Bar(0,0,GetMaxX,GetMaxY-10);      { draw the pattern }

    SetColor(Yellow);
    Rectangle(0,0,GetMaxX,GetMaxY);   { draw boundary around the screen }

    SetFillStyle(SolidFill,Blue);
    FloodFill(1,GetMaxY-2,Yellow);    { fill screen }

    Readln;
    CloseGraph;
  end {if}
  else begin
    Writeln(GraphErrorMsg(GrafResult));
  end; {else}
end.
