program Test_VertFont;
{
Description:
  bitmap font is not aligned the same as stroked font in vertical direction.
Reported by: Franck PISSOTTE [100117,200]
  noticed bu lot of others peoples.
Fix: Use the BGI Font Toolkit.
}

uses
  Graph;

var
  GrafDriver, GrafMode,GrafResult:Integer;
  x1,x2,y2:Integer;
begin
  GrafDriver := Detect;
  InitGraph(GrafDriver, GrafMode, 'c:\bp\bgi\');
  GrafResult:=GraphResult;
  if GrafResult = grOk then begin

    x1:=GetMaxX div 3;
    x2:=2*x1;
    y2:=GetMaxY div 2;

    Line(x1,0,x1,GetMaxY);
    SetTextStyle(DefaultFont,VertDir ,2);
    SetTextJustify(LeftText,CenterText);
    OutTextXY(x1,y2,'Text');

    Line(x2,0,x2,GetMaxY);
    SetTextStyle(TriPlexFont,VertDir ,2);
    SetTextJustify(LeftText,CenterText);
    OutTextXY(x2,y2,'Text');

    Readln;
    CloseGraph;
  end {if}
  else begin
    Writeln(GraphErrorMsg(GrafResult));
  end; {else}
end.
